/**
 * @author  daya
 * @createDate  2021/11/15 10:46
 * 备注:图标颜色 color 区分图标类型
 **/
import { linearGradientStyle } from '../../../charts'
// 渐变颜色
const linearGradient = [
  // 红 0
  linearGradientStyle([1, 1, 0, 0], 'rgba(232,87,73,1)', 'rgba(232,87,73,0.2)'),
  // 蓝 1
  linearGradientStyle([0, 0, 0, 1], '#3376d1', '#35c6ef'),
  // 橙 2
  linearGradientStyle([1, 1, 0, 0], 'rgba(226,147,93,.8)', 'rgba(226,147,93,0.1)'),
  // 黄 3
  linearGradientStyle([1, 1, 0, 0], 'rgba(238,202,95,0.8)', 'rgba(238,202,95,0.1)'),
  // 绿 4
  linearGradientStyle([1, 1, 0, 0], 'rgba(0, 216, 212, 0.8)', 'rgba(0, 216, 212, .1)'),
  // 蓝1 4
  linearGradientStyle([1, 1, 0, 0], 'rgba(58,234,255,.8)', 'rgba(30,47,174,.8)'),
  // 粉 6
  linearGradientStyle([0, 0, 1, 0], 'rgba(135,30,174,.8)', 'rgba(255,58,202,.8)'),
  // 橙蓝 7
  linearGradientStyle([0, 0, 0, 1], '#ff6c10', '#1183d8'),
  // 黄蓝 8
  linearGradientStyle([0, 0, 0, 1], '#dbd22b', '#078fe1'),
  // 蓝蓝 9
  linearGradientStyle([0, 0, 0, 1], 'rgba(30,92,159,1)', 'rgba(30,92,159,0.8)'),
  // 浅蓝蓝 10
  linearGradientStyle([0, 0, 0, 1], '#00FFFC', '#002363'),
  // 绿黄 11
  linearGradientStyle([0, 0, 1, 1], '#00BABC', '#FDE153'),
  // 绿绿 12
  linearGradientStyle([0, 0, 1, 1], 'rgba(102, 255, 255, 1)', 'rgba(102, 255, 255, 0.2)'),
  // 白蓝 13
  linearGradientStyle([0, 0, 1, 1], 'rgba(255, 255, 255, 1)', 'rgba(102, 255, 255, 1)'),
  // 黄黄 14
  linearGradientStyle([0, 0, 1, 0], '#FFE984', '#FFAF00'),
  // 蓝蓝 15
  linearGradientStyle([0, 0, 1, 0], '#0DBBB3', '#66FFFF'),
  // 白黑 16
  linearGradientStyle([0, 0, 0, 1], 'rgba(255, 255, 255, 1)', 'rgba(255, 255, 255, 0)'),
  // 蓝蓝1 17
  linearGradientStyle([0, 0, 0, 1], '#42B2F3', 'rgba(74,111,255, 0)'),
  // 蓝蓝2 18
  linearGradientStyle([0, 0, 0, 1], '#24c4ff', '#248bff'),
  // 红紫 19
  linearGradientStyle([0, 0, 0, 1], '#9300ff', '#d900ff'),
  // 紫紫 20
  linearGradientStyle([0, 0, 0, 1], '#4c4bdc', '#6e48dc'),
  // 紫红 21
  linearGradientStyle([0, 0, 0, 1], '#741d8d', '#8b1d8a')
]
let commonColor = {
  colorStyle: linearGradient,
  colorStyle1: [
    linearGradient[1]
  ],
  colorStyle2: ['#62a8e6', '#eeca5f'],
  colorStyle3: ['#00FFFF'],
  colorStyle4: [
    linearGradient[10]
  ],
  colorStyle5: ['#dbd22b', 'rgba(0, 233, 244, 1)', '#087EDA'],
  colorStyle6: [
    linearGradient[8]
  ],
  colorStyle7: [
    linearGradient[7]
  ],
  colorStyle8: ['rgb(217,238,95)', 'rgb(126, 207, 81)', 'rgb(80,159,236)', 'rgba(6,243,207,0.8)'],
  // 9-11暂时还未用到，看更改还是怎样
  colorStyle9: ['#7ecf51', '#eeca5f', '#e2935d', '#e06756', '#62a8e6'],
  colorStyle10: ['#a875e5', '#1355a2', '#4575df'],
  colorStyle11: ['#C35764', '#5EA6FF', '#4763E6'],
  colorStyle12: ['#4272DD', '#295BBE', '#7E4EC7'],
  colorStyle13: [linearGradient[5], linearGradient[6]],
  colorStyle14: ['#e06756', '#62a8e6', '#7ecf51', '#eeca5f', '#e2935d'],
  colorStyle15: [
    linearGradient[1]
  ],
  colorStyle16: [
    linearGradient[3]
  ],
  colorStyle17: [
    linearGradient[11]
  ],
  colorStyle18: [
    linearGradient[12]
  ],
  colorStyle19: [
    linearGradient[13]
  ],
  colorStyle20: ['#00BED4', '#44D7B6', '#FFFFFF'],
  colorStyle21: ['#0282D9', '#00D7BF', '#FDE153'],
  colorStyle22: [linearGradient[14], linearGradient[15]],
  colorStyle23: [linearGradient[17], linearGradient[16]],
  colorStyle24: ['#fff', '#42B2F3'],
  colorStyle25: ['#52EFFB', '#FFDB92'],
  colorStyle26: [linearGradient[18], linearGradient[19], linearGradient[20], linearGradient[21]],
  colorStyle31: ['#52effb', '#ffdb92', '#00ffce'],
  colorStyle32: ['#52EFFB', '#FFF19E'],
  colorStyle33: ['#3ec402', '#fefe00', '#fe9e00', '#fe3e00'],
  colorStyle34: ['#11adca'],
  colorStyle35: ['#18ffff', '#fef400', '#06f67a', '#1898ff'],
  colorStyle36: ['#f3931d', '#38b557', '#0057ff', '#a726a4'],
  colorStyle41: ['#52effb', '#ffdb92', '#00ffce'],
  colorStyle42: ['#52effb', '#ffdb92', '#00ffce']
}
export const lineColor = {
  ...commonColor
}
export const barColor = {
  ...commonColor
}
export const pieColor = {
  ...commonColor
}
commonColor.lineColor = lineColor
commonColor.barColor = barColor
commonColor.pieColor = pieColor
export const color = {
  ...commonColor
}
export default color
